ACONST_NULL (jakarta-bcel 5.1 API)
Keywords: org.apache.bcel.generic.ACONST_NULL,ACONST_NULL class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class ACONST_NULL

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.ACONST_NULL

All Implemented Interfaces:
  java.lang.Cloneable, PushInstruction, java.io.Serializable, StackProducer, TypedInstruction

public class ACONST_NULL
extends Instruction
implements PushInstruction, TypedInstruction

ACONST_NULL - Push null reference

    Stack: ... -> ..., null

Version:
  $Id: ACONST_NULL.java,v 1.1.1.1 2001/10/29 20:00:05 jvanzyl Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`ACONST_NULL()` Push null reference

Method Summary
`void` | `accept(Visitor v)` Call corresponding visitor method(s).
`Type` | `getType(ConstantPoolGen cp)`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, initFromFile, produceStack, readInstruction, setComparator, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Constructor Detail

### ACONST_NULL

    public ACONST_NULL()

  Push null reference

Method Detail

### getType

    public Type getType(ConstantPoolGen cp)

  Specified by:
    `getType` in interface `TypedInstruction`
  Returns:
    Type.NULL

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.